Name: xml4j
Version: 2.0.11
Release: 1
BuildRoot: /tmp/build-%{name}
Packager: Ronan-Yann Lorin <lorin@adesium-services.fr>
Prefix: /usr
Group: System Environment/Libraries
Copyright: Evaluation license
URL: http://alphaworks.ibm.com/tech/xml4j
Summary: A validating XML parser written in 100% pure Java. 
BuildArchitectures: noarch

Source: http://apps.alphaworks.ibm.com/technologies/xml4j/xml4j_2_0_11.tar.gz
Source2: xml4j.sh

%description
XML Parser for Java is a validating XML parser written in 100% pure Java. The package (com.ibm.xml.parser) contains
classes and methods for parsing, generating, manipulating, and validating XML documents. XML Parser for Java is believed
to be the most robust XML processor currently available and conforms most closely to the XML 1.0 Recommendation. 


%prep
%setup -n xml4j_2_0_11


%build
# Nothing to do as this package is written in Java


%install
if [ `echo "$RPM_BUILD_ROOT" | cut -c 1-5` = "/tmp/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi

[ -d $RPM_BUILD_ROOT/usr/share ] || mkdir -p $RPM_BUILD_ROOT/usr/share
install xml4j.jar $RPM_BUILD_ROOT/usr/share
[ -d $RPM_BUILD_ROOT/etc/profile.d ] || mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d

%clean
if [ `echo "$RPM_BUILD_ROOT" | cut -c 1-5` = "/tmp/" ]; then
	rm -rf "$RPM_BUILD_ROOT"
fi


%files
%defattr(644 root root 755)
%doc Readme.html license.html w3c_copyright_software.html docs data samples TXapiDocs apiDocs
/usr/share/xml4j.jar
%attr(755,-,-) /etc/profile.d/xml4j.sh

